<mamecheat version="1">

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@12EA=96</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo">
    <script state="run">
      <action>maincpu.pw@12F4=03E8</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@0124=02</action>
    </script>
  </cheat>

  <cheat desc="Infinite MegaPunch">
    <script state="run">
      <action>maincpu.pb@12F8=08</action>
    </script>
  </cheat>

  <cheat desc="Constant MegaPunch"> <comment>Note, unsurprisingly the screen won't scroll very fast with this cheat ON</comment>
    <script state="run">
      <action>maincpu.pb@2864=2D</action>
    </script>
  </cheat>

  <cheat desc="Full Autofire">
    <script state="run">
      <action>maincpu.pw@12EE=027F</action>
    </script>
    <script state="off">
      <action>maincpu.pw@12EE=0000</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Gun">
    <script state="run">
      <action>maincpu.pb@169D=00|(maincpu.pb@169D BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Punch">
    <script state="run">
      <action>maincpu.pb@169D=00|(maincpu.pb@169D BAND ~20)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
